Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 109424 - MySQLd bounded to all IPs (per default without root password)
Summary: MySQLd bounded to all IPs (per default without root password)
Keywords:
Status: CLOSED DUPLICATE of bug 88352
Alias: None
Product: Fedora
Classification: Fedora
Component: mysql
Version: 1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Patrick Macdonald
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-07 18:30 UTC by Robert Scheck
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-21 18:59:49 UTC


Attachments (Terms of Use)

Description Robert Scheck 2003-11-07 18:30:49 UTC
Description of problem, how reproducible and steps to reproduce:
If I install the latest mysqld package (Fedora Core 1 or Red Hat 9), per default the mysql daemon is bounded to all available IPs.
I wouldn't see that as real bug or critical security problem, but I personally think it's comparable as a Fedora installation without a password ;-)
So let me say: If you install a fresh system, you normally don't configure a mysql server at first, also there is a unrequested mysql root access by network possible...

Version-Release number of selected component (if applicable):
mysql-3.23.58-4

Actual results:
Maybe it's a possibility to bind mysqld to 127.0.0.1 at installation. If the user needs external mysql access he can change that.

Comment 1 Patrick Macdonald 2003-11-10 15:14:35 UTC
This is a duplicate of the mentioned enhancement.  At the moment,
the default behaviour from MySQL is being used.

*** This bug has been marked as a duplicate of 88352 ***

Comment 2 Red Hat Bugzilla 2006-02-21 18:59:49 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.